---
title: String.prototype.fontsize()
slug: Web/JavaScript/Reference/Global_Objects/String/fontsize
tags:
  - Deprecated
  - HTML wrapper methods
  - JavaScript
  - Method
  - Prototype
  - Reference
  - String
---
<div>{{JSRef}} {{deprecated_header}}</div>

<p>The <strong><code>fontsize()</code></strong> method creates a {{HTMLElement("font")}} HTML element that causes a string to be displayed in the specified font size.</p>

<div class="note">
<p><strong>Usage note:</strong> The &lt;font&gt; element has been removed in <a href="/en-US/docs/Web/Guide/HTML/HTML5">HTML5</a> and shouldn't be used anymore. Instead web developers should use <a href="/en-US/docs/Web/CSS">CSS</a> properties.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><var>str</var>.fontsize(<var>size</var>)</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code><var>size</var></code></dt>
 <dd>An integer between 1 and 7, a string representing a signed integer between 1 and 7.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>A string containing a {{HTMLElement("font")}} HTML element.</p>

<h2 id="Description">Description</h2>

<p>When you specify size as an integer, you set the font size of <code>str</code> to one of the 7 defined sizes. When you specify <code>size</code> as a string such as "-2", you adjust the font size of <code>str</code> relative to the size set in the {{HTMLElement("basefont")}} element.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Using_fontsize">Using fontsize()</h3>

<p>The following example uses string methods to change the size of a string:</p>

<pre class="brush: js notranslate">var worldString = 'Hello, world';

console.log(worldString.small());     // &lt;small&gt;Hello, world&lt;/small&gt;
console.log(worldString.big());       // &lt;big&gt;Hello, world&lt;/big&gt;
console.log(worldString.fontsize(7)); // &lt;font size="7"&gt;Hello, world&lt;/fontsize&gt;
</pre>

<p>With the {{domxref("ElementCSSInlineStyle/style", "element.style")}} object you can get the element's <code>style</code> attribute and manipulate it more generically, for example:</p>

<pre class="brush: js notranslate">document.getElementById('yourElemId').style.fontSize = '0.7em';
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-string.prototype.fontsize', 'String.prototype.fontsize')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("javascript.builtins.String.fontsize")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("String.prototype.big()")}}</li>
 <li>{{jsxref("String.prototype.small()")}}</li>
</ul>
